# Record TIPV4AbstractHeader

Description
Hierarchy
Fields
Methods
Properties

## Unit

nettypes

## Declaration

`type TIPV4AbstractHeader = record`

## Description

## Overview

### Fields

`version: uint8;`
`header_len: uint8;`
`ToS: uint8;`
`total_len: uint16;`
`identifier: uint16;`
`Flags: TTCPFlags;`
`Fragment_Off: uint16;`
`TTL: uint8;`
`Protocol: uint8;`
`HDR_CHK: uint16;`
`Src: Array[0..3] of uint8;`
`Dst: Array[0..3] of uint8;`
`Options: uint32;`

## Description

### Fields

`version: uint8;`

`header_len: uint8;`

`ToS: uint8;`

`total_len: uint16;`

`identifier: uint16;`

`Flags: TTCPFlags;`

`Fragment_Off: uint16;`

`TTL: uint8;`

`Protocol: uint8;`

`HDR_CHK: uint16;`

`Src: Array[0..3] of uint8;`

`Dst: Array[0..3] of uint8;`

`Options: uint32;`

Generated by PasDoc 0.15.0.